<?php

namespace Drupal\lightbox_media_tobii\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\Attribute\FieldFormatter;
use Drupal\Core\Field\FieldItemListInterface;
use Drupal\Core\StringTranslation\TranslatableMarkup;
use Drupal\lightbox_media\Plugin\Field\FieldFormatter\LightboxMediaContainerFormatter;

/**
 * Plugin implementation of the 'lightbox_media_tobii' formatter.
 */
#[FieldFormatter(
  id: 'lightbox_tobii_media_container',
  label: new TranslatableMarkup('Rendered entity in Tobii container'),
  field_types: [
    'entity_reference',
  ],
)]
class LightboxTobiiMediaContainerFormatter extends LightboxMediaContainerFormatter {

  /**
   * {@inheritDoc}
   */
  public function viewElements(FieldItemListInterface $items, $langcode) {
    $elements = parent::viewElements($items, $langcode);
    $elements['#attached']['library'][] = 'lightbox_tobii/tobii';
    return $elements;
  }

}
